/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.flowable.engine;

import net.northking.cctp.flowable.sm.StateProcessDefinition;
import net.northking.cctp.flowable.sm.StateProcessEngine;
import net.northking.cctp.flowable.sm.StateProcessInstance;
import org.springframework.stereotype.Component;

/**
 * 缺陷状态流程引擎
 *
 * @author : xiusong.xie
 * @version : 1.0
 */
@Component
public class DefaultStateProcessEngine implements StateProcessEngine
{

  @Override
  public String deploy(StateProcessDefinition definition)
  {
    return "";
  }

  @Override
  public StateProcessDefinition findDefinition(String pkId)
  {
    return null;
  }

  @Override
  public StateProcessInstance startProcess(String definitionKey)
  {
    return null;
  }
}
